
#include <cmath>
#include <complex>
#include <algorithm>
#include <iostream>

#include "hark-lib/node/NOP.h"

namespace hark
{
namespace node
{
    NOP::NOP():
        NodeDef("NOP")
    {
        *this
            << Terminal::in("INPUT")
            >> Terminal::out("OUTPUT");
    }

    void
    NOP::reset()
    {
    }

    void
    NOP::initialize(InputDataBundle &input)
    {
    }

    bool
    NOP::operator () (size_t count, InputDataBundle &input, OutputDataBundle &output)
    {
#ifdef DEBUG
        ptime start_time;
        ptime end_time;
        start_time = microsec_clock::local_time();
#endif

        output["OUTPUT"].push(input["INPUT"].at(count));

#ifdef DEBUG
        end_time = microsec_clock::local_time();
        std::cout << end_time - start_time << std::endl;
#endif

        return true;
    }
}
}

/* end of file */
